"""Preparation Domain - JSONL Handler"""
from ...datasource.jsonl.handler import BaseJsonlHandler
from ...datasource.jsonl.datasource import JsonlDataSource
from .sync_node import PreparationSyncNode
from schemas.project_extensions.preparation import PreparationDetail


class PreparationJsonlHandler(BaseJsonlHandler):
    """里程碑 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "preparation", PreparationSyncNode, PreparationDetail)
